SFTPGO-STARTSUBSYS(1)

NAME
sftpgo-startsubsys - Use sftpgo as SFTP file transfer subsystem

SYNOPSIS
sftpgo startsubsys [flags]

DESCRIPTION
In this mode SFTPGo speaks the server side of SFTP protocol to stdout and expects client requests from stdin. This mode is not intended to be called directly, but from sshd using the Subsystem option. For example adding a line like this one in "/etc/ssh/sshd_config":

Subsystem    sftp    sftpgo startsubsys

Command-line flags should be specified in the Subsystem declaration.

OPTIONS
-d, --base-home-dir=""
    If the user does not exist specify an alternate starting directory. The home directory for a new user will be:

[base-home-dir]/[username]

base-home-dir must be an absolute path.

-c, --config-dir="."
    Location of the config dir. This directory is used as the base for files with a relative path, e.g. the private keys for the SFTP server or the database file if you use a file-based data provider. The configuration file, if not explicitly set, is looked for in this dir. We support reading from JSON, TOML, YAML, HCL, envfile and Java properties config files. The default config file name is "sftpgo" and therefore "sftpgo.json", "sftpgo.yaml" and so on are searched. This flag can be set using SFTPGO_CONFIG_DIR env var too.

--config-file=""
    Path to SFTPGo configuration file. This flag explicitly defines the path, name and extension of the config file. If must be an absolute path or a path relative to the configuration directory. The specified file name must have a supported extension (JSON, YAML, TOML, HCL or Java properties). This flag can be set using SFTPGO_CONFIG_FILE env var too.

-h, --help[=false]
    help for startsubsys

--log-level="debug"
    Set the log level. Supported values:

debug, info, warn, error.

This flag can be set using SFTPGO_LOG_LEVEL env var too.

-j, --log-to-journald[=false]
    Send logs to journald. Only available on Linux. Use:

$ journalctl -o verbose -f

To see full logs. If not set, the logs will be sent to the standard error

--log-utc-time[=false]
    Use UTC time for logging. This flag can be set using SFTPGO_LOG_UTC_TIME env var too.

-p, --preserve-home[=false]
    If the user already exists, the existing home directory will not be changed

SEE ALSO
sftpgo(1)